@base <https://purl.org/coscine/ap/qudt/quantitykind/EnergyPerArea/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/EnergyPerArea/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Energy Per Area sind."@de,
    "Profile for all units that are a/an Energy Per Area."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Energy Per Area"@de,
    "Unit: Energy Per Area"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT-PER-FT2 unit:FT-LB_F-PER-FT2 unit:FT-LB_F-PER-M2 unit:GigaJ-PER-M2 unit:J-PER-CentiM2 unit:J-PER-M2 unit:KiloBTU_IT-PER-FT2 unit:KiloCAL-PER-CentiM2 unit:KiloGM-PER-SEC2 unit:KiloW-HR-PER-M2 unit:MegaJ-PER-M2 unit:N-M-PER-M2 unit:PicoPA-PER-KiloM unit:W-HR-PER-M2 unit:W-SEC-PER-M2 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT-PER-FT2 rdfs:label "Btu Per Square Foot"@en .
unit:FT-LB_F-PER-FT2 rdfs:label "Foot Pound Per Square Foot"@en .
unit:FT-LB_F-PER-M2 rdfs:label "Foot Pound Force Per Square Meter"@en-us, "Foot Pound Force Per Square Metre"@en .
unit:GigaJ-PER-M2 rdfs:label "Gigajoule Per Square Meter"@en-us, "Gigajoule Per Square Metre"@en .
unit:J-PER-CentiM2 rdfs:label "Joule Per Square Centimeter"@en-us, "Joule Per Square Centimetre"@en .
unit:J-PER-M2 rdfs:label "Joule Per Square Meter"@en-us, "Joule Per Square Metre"@en .
unit:KiloBTU_IT-PER-FT2 rdfs:label "Kbtu Per Square Foot"@en .
unit:KiloCAL-PER-CentiM2 rdfs:label "Kilocalorie Per Square Centimeter"@en-us, "Kilocalorie Per Square Centimetre"@en .
unit:KiloGM-PER-SEC2 rdfs:label "Kilogram Per Square Second"@en .
unit:KiloW-HR-PER-M2 rdfs:label "Kilowatt Hour Per Square Metre"@en .
unit:MegaJ-PER-M2 rdfs:label "Megajoule Per Square Meter"@en-us, "Megajoule Per Square Metre"@en .
unit:N-M-PER-M2 rdfs:label "Newton Meter Per Square Meter"@en-us, "Newton Metre Per Square Metre"@en .
unit:PicoPA-PER-KiloM rdfs:label "Picopascal Per Kilometer"@en-us, "Picopascal Per Kilometre"@en .
unit:W-HR-PER-M2 rdfs:label "Watt Hour Per Square Metre"@en .
unit:W-SEC-PER-M2 rdfs:label "Watt Seconds Per Square Metre"@en .
